Run a newer version of nmap on OSX 10.7.5?

Get the latest on wired & wireless, talk network setups, get help with connectivity problems, web hosts, etc.
Post Reply
JojoGamesDev
n00b
Posts: 6
Joined: Fri Jun 17, 2016 2:48 pm
Location: Germany
Contact:

Run a newer version of nmap on OSX 10.7.5?

Post by JojoGamesDev » Sat Oct 15, 2016 1:24 pm

I installed nmap 7.30, but whenever I tried to use the nmap command, it gave me the error "Illegal Instruction: 4", so I deleted it and downloaded older versions. The latest version of nmap that seems to be working on my macbook 10.7.5 is nmap 6.47 from 2014. My question is if there is a way to run newer versions of nmap on my relatively old mac or if it isn't possible due to outdated hardware.

Sorry for my english, I'm from germany.

User avatar
Cool_Fire
Not a sandwich
Posts: 1889
Joined: Fri May 09, 2003 1:20 pm
Location: 41 6d 73 74 65 72 64 61 6d
Contact:

Re: Run a newer version of nmap on OSX 10.7.5?

Post by Cool_Fire » Sat Oct 15, 2016 2:28 pm

It's not a matter of hardware but a compiler optimization option. I suspect the version of nmap you have is compiled for a newer OSX version. Unless they specifically offer versions compiled for older OSX releases, you'll probably have to compile it yourself to get the latest nmap version to run correctly.
If we're breaking the rules, then how come you can't catch us? You can't find us? I know why. Cause, it's ... MAGIC!
Hackerthreads chat, where the party is going 24/7.

Post Reply